org.eclipse.lyo.oslc4j.core.model

## Enum Representation

- java.lang.Object
- - java.lang.Enum<Representation>
  - - org.eclipse.lyo.oslc4j.core.model.Representation

- All Implemented Interfaces:
    Serializable, Comparable<Representation>

      public enum Representation
      extends Enum<Representation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Inline`
    `Reference`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Representation` | `fromString(String string)`
    `static Representation` | `fromURI(URI uri)`
    `String` | `toString()`
    `static Representation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Representation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Reference

          public static final Representation Reference

    - #### Inline

          public static final Representation Inline

  - ### Method Detail

    - #### values

          public static Representation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Representation c : Representation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Representation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Representation>`

    - #### fromString

          public static Representation fromString(String string)

    - #### fromURI

          public static Representation fromURI(URI uri)

Copyright © 2016. All rights reserved.